| Home | Libraries | People | FAQ | More

#### ssl::stream::stream

Construct a stream.

    template<
        typename Arg,
        typename Context_Service>
    stream(
        Arg & arg,
        basic_context< Context_Service > & context);

This constructor creates a stream and initialises the underlying stream object.

###### Parameters

arg

  The argument to be passed to initialise the underlying stream.

context

  The SSL context to be used for the stream.